Skip to main content
GET
/
ordem-servico
Listar ordem de serviço
curl --request GET \
  --url https://api.tiny.com.br/public-api/v3/ordem-servico \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "situacao": 4,
  "data": "2024-01-01",
  "dataPrevista": "2024-01-01 00:00:00",
  "valor": 123,
  "numeroOrdemServico": "<string>",
  "cliente": {
    "nome": "<string>",
    "codigo": "<string>",
    "fantasia": "<string>",
    "tipoPessoa": "J",
    "cpfCnpj": "<string>",
    "inscricaoEstadual": "<string>",
    "rg": "<string>",
    "telefone": "<string>",
    "celular": "<string>",
    "email": "<string>",
    "endereco": {
      "endereco": "<string>",
      "numero": "<string>",
      "complemento": "<string>",
      "bairro": "<string>",
      "municipio": "<string>",
      "cep": "<string>",
      "uf": "<string>",
      "pais": "<string>"
    },
    "id": 123
  },
  "marcadores": "<unknown>"
}

Query Parameters

nomeCliente
string

Pesquisa por nome do cliente de ordem de servico

situacao
enum<number>

Pesquisa por situação de ordem de servico

  • 4 - Nao Aprovada
  • 3 - Finalizada
  • 0 - Em Aberto
  • 2 - Serv Concluido
  • 1 - Orcada
  • 5 - Aprovada
  • 6 - Em Andamento
  • 7 - Cancelada
Available options:
4,
3,
0,
2,
1,
5,
6,
7
dataInicialEmissao
string

Pesquisa por data inicial da emissão de ordem de servico

Example:

"2024-01-01"

dataFinalEmissao
string

Pesquisa por data final da emissão de ordem de servico

Example:

"2024-01-01"

numeroOrdemServico
string

Pesquisa por número de ordem de servico

marcadores
string[]

Pesquisa por marcadores

idContato
integer

Pesquisa por ID do contato de ordem de servico

orderBy
enum<string>

Define a ordenação da listagem por ordem crescente ou decrescente

  • asc - Crescente
  • desc - Descrescente
Available options:
asc,
desc
limit
integer
default:100

Limite da paginação

offset
integer
default:0

Offset da paginação

Response

OK

id
integer | null
situacao
enum<string> | null
  • 4 - Nao Aprovada
  • 3 - Finalizada
  • 0 - Em Aberto
  • 2 - Serv Concluido
  • 1 - Orcada
  • 5 - Aprovada
  • 6 - Em Andamento
  • 7 - Cancelada
Available options:
4,
3,
0,
2,
1,
5,
6,
7
data
string | null
Example:

"2024-01-01"

dataPrevista
string | null
Example:

"2024-01-01 00:00:00"

valor
number<float> | null
numeroOrdemServico
string | null
cliente
· object
marcadores
any